OGRE: Ogre::GpuProgramParameters::AutoConstantEntry Class Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgramParams.h>`

List of all members.

## Public Member Functions
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, size_t theData, uint16 theVariability, size_t theElemCount=4)
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, Real theData, uint16 theVariability, size_t theElemCount=4)
## Public Attributes
AutoConstantType | paramType
| The type of parameter.
size_t | physicalIndex
| The target (physical) constant index.
size_t | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.
union {
size_t data
Real fData
}; |
| Additional information to go with the parameter.
uint16 | variability
| The variability of this parameter (see GpuParamVariability).

## Detailed Description

Structure recording the use of an automatic parameter.

Definition at line 1075 of file OgreGpuProgramParams.h.

## Constructor & Destructor Documentation

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | size_t | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = `4` |
| ) |  |  |

Definition at line 1094 of file OgreGpuProgramParams.h.

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | Real | theData,
|  | uint16 | theVariability,
|  | size_t | theElemCount = `4` |
| ) |  |  |

Definition at line 1099 of file OgreGpuProgramParams.h.

## Member Data Documentation

union { ... }

Additional information to go with the parameter.

size_t Ogre::GpuProgramParameters::AutoConstantEntry::data

Definition at line 1088 of file OgreGpuProgramParams.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

size_t Ogre::GpuProgramParameters::AutoConstantEntry::elementCount

The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.

GLSL) and bind an auto which is 4-element packed to it

Definition at line 1085 of file OgreGpuProgramParams.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

Real Ogre::GpuProgramParameters::AutoConstantEntry::fData

Definition at line 1089 of file OgreGpuProgramParams.h.

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

The type of parameter.

Definition at line 1079 of file OgreGpuProgramParams.h.

size_t Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex

The target (physical) constant index.

Definition at line 1081 of file OgreGpuProgramParams.h.

Referenced by Ogre::Renderable::_updateCustomGpuParameter().

uint16 Ogre::GpuProgramParameters::AutoConstantEntry::variability

The variability of this parameter (see GpuParamVariability).

Definition at line 1092 of file OgreGpuProgramParams.h.

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55